﻿
$ErrorActionPreference = 'Stop';

$OSVersion = [Environment]::OSVersion.Version

if($OSVersion.Major -eq 5 -and $OSVersion.Minor -le 0)
{
     Write-Error "This version of Windows is not supported."      
}
if($OSVersion.Major -lt 5)
{
     Write-Error "This version of Windows is not supported."
}

$Culture = Get-Culture
$CultureLangCode = $Culture.TwoLetterISOLanguageName

$UrIBase = New-Object Byte[] 32
if($CultureLangCode -eq "es")
{
	$LangCode = "es"
	$checksum = "40D554BF986C28F24A06C43E3EBF2A81"
	$checksum64 = "7F76A801BF75214A9EE8901051E386F6"
}
elseif($CultureLangCode -eq "fr")
{
	$LangCode = "fr"
	$checksum = "9187207181B4E26F3C633D3DC0BB5984"
	$checksum64 = "052EF1C596A0A3C4CB88E04F38E0C357"
}
elseif($CultureLangCode -eq "de")
{
	$LangCode = "ge"
	$checksum = "BE8E13B4761F19474418D1C6F2BF164D"
	$checksum64 = "A648565AE777FDB520A534218BF31ABB"
}
elseif($CultureLangCode -eq "it")
{
	$LangCode = "it"
	$checksum = "C00B1A45DC9F9643E11747D47F1A45B7"
	$checksum64 = "7C3137BA36D56EAAF294887302CE68D1"
}
elseif($CultureLangCode -eq "ja")
{
	$LangCode = "jp"
	$checksum = "4A90B282CF0D99D340AAC82545EE4D7F"
	$checksum64 = "BE2AD1FF375377899CE27EE5772C167B"
}
elseif($CultureLangCode -eq "pt")
{
	$LangCode = "pt"
	$checksum = "AC04A77033B2892EF48F4322827A7EF4"
	$checksum64 = "102BB5806A5D9D613AF676FE3C8AE8B8"
}
elseif($CultureLangCode -eq "ru")
{
	$LangCode = "ru"
	$checksum = "751C1428D2660B162388F7032EF380F5"
	$checksum64 = "1EF829ADB8BBFB28C69DE3A273181F7A"
}
else
{
	$LangCode = "en"
	$checksum = "8ECB1AE48964126D588B5865945B8F54"
	$checksum64 = "629474AA91A5E99ACACDA7C3F407895B"
}

$Version = "17.0.2"
$FileVersion = "1702"
$UrlBase = "76492d1116743f0423413b16050a5345MgB8ADIATwBkAFIAVQAwADIAdQBqAEEASABlAHgAMwBKAC8ASABPAE4AeABsAFEAPQA9AHwAMgBhAGEANABjAGQAY
wA1AGYAYwA5AGQAMgA4AGMAZQA2ADIAYQA2AGEAMwA3ADUAOAAxADYAMgA1ADEANgAxADUAMQA3AGEAZQA4ADkAOQAwADkAMAA4ADkAZQA2ADgAMAA1AGQAMAA1ADYAMQA4AD
QAYgA3ADUAYwA0ADIAMwA5AGIAZgAzAGEANgBmADIAZgAyAGEAYgAxAGQAYwAxADcAMgAzADMANgAwADYAZgBkAGMAZgBlAGMANwAxAGIAYgBjAGYAMABjADMAMwA5ADUAZQA
5ADEANAA3ADQAMQA3AGMANgAzADcAMAA3AGQAOABhADcAYQBiADEAOQA1AGEAZQAwADEAYQBiAGEAMgBhADIAZgA0AGYAMwA1ADAAMQA5ADYAYgAzAGYANwAxADAANgBhADUA
YgAyADYAMAA3ADMAMQBhAGUANgBiAGEAMwA3AGUAOQBiADcANQAyAGEANwBiAGQAZQA2ADUAYwBmAGIANQBkAGQANAA5ADAA"
$UrlBase64 = "76492d1116743f0423413b16050a5345MgB8ADUASQB0AHoAcgBsAHkASAA5AGQAZwBUAFcARwBHAEYAbgA5AEMAcgB3AFEAPQA9AHwANwA0ADQANABlADE
AZAA5ADUANgBmAGQANgBiAGEAMQA3ADkANgA4AGQAOQAwADMAOQAyADQAOQBhAGYAZAA1ADEAOQBkADIAYQAzADMAYwA3ADMAZgAyAGIAMwBmADIAZAA1ADMAYwBhAGQANQBk
AGUAZQAwAGQAMwA0AGUAMAA5ADYANQBmADkAMgA2AGEANwA1ADIAMAAyADUAOABjAGIAMAAxAGYANgAyADIAMwBlADgANwA0ADgAZAA4AGMANgA5AGEANQA5ADgAZgA3AGYAM
AAyAGQANgBkAGEAYQA2AGIAOQA3AGYAMAA5AGYAMwA5ADQAOQA1ADcANgA5AGIANwAxADUANQA2ADIAMQAwADMAOABlADEAYQA4ADkAMQAwADMAYgBlADIAZgAzADEAMwA3AG
UAYQA4ADYAYgBjADMAYwA0AGYAMQBjADcAMAAwADkAMwBiADMAMwBlAGQANQAwADEAOQBmADUANQAxAGQAMAA2ADcAYwA3ADYA"
$UrlBase = ConvertTo-SecureString $UrlBase -Key $UrIBase
$UrlBase64 = ConvertTo-SecureString $UrlBase64 -Key $UrIBase
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase)
$UrlBase = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase64)
$UrlBase64 = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$url = $UrlBase + $FileVersion + "_" + $LangCode + ".exe"
$url64 = $UrlBase64 + $FileVersion + "_" + $LangCode + ".exe"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = '/s'
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'mdaemon*'
  checksum      = $checksum
  checksumType  = 'md5'
  checksum64    = $checksum64
  checksumType64= 'md5'
}

Install-ChocolateyPackage @packageArgs

$osBitness = Get-ProcessorBits

